Rated 4 out of 5 stars

Is it really not compatible anymore with Firefox 3.6.* ?